## org.apache.lucene.util
Class StoreClassNameRule

    java.lang.Object
      org.apache.lucene.util.StoreClassNameRule

All Implemented Interfaces:
  org.junit.rules.TestRule

    public class StoreClassNameRule

extends Object
implements org.junit.rules.TestRule

Constructor Summary
`StoreClassNameRule()`

Method Summary
`org.junit.runners.model.Statement` `apply(org.junit.runners.model.Statement s, org.junit.runner.Description d)`
`Class<?>` `getTestClass()` Returns the test class currently executing in this rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreClassNameRule

    public StoreClassNameRule()

Method Detail

### apply

    public org.junit.runners.model.Statement apply(org.junit.runners.model.Statement s,
                                                   org.junit.runner.Description d)

  Specified by:
    `apply` in interface `org.junit.rules.TestRule`

### getTestClass

    public Class<?> getTestClass()

  Returns the test class currently executing in this rule.